/*
 Theme Name:   CFU
 Theme URI:    https://generatepress.com
 Description:  Cambridge Fans United
 Author:       Blackbox Web Design
 Author URI:   https://www.blackboxdesign.co.uk
 Template:     generatepress
 Version:      0.1
*/

/* Colour palette:
 * CUFC Amber: #ffa300;
 */

/* All Devices */

/* Typography*/

/*.cfu_home_title h1 {
	margin-bottom:0;
}*/

h1#cfu_home_title {
	font-size:4em;
}

h1#cfu_home_title span {
	display: block;
    font-size: 28px;
    line-height: 1em;
    color: #ffa300;
}

.cfu_inner_banner h1 {
	background-color: #ffa300;
    font-size: 5em;
    padding: 20px;
    margin-bottom: 0;
    line-height: 1em;
}

.cfu_inner_banner h1 span {
	display:block;
	font-size:30px;
	line-height:1em;
}

h2.wp-block-post-title {
	margin-bottom:0;
}

#cfu_match_reports h2 {
	font-size:24px;
	margin-top:10px;
}

.cfu_slide_detail p {
	display:inline-block;
	font-size:3em;
	font-weight:700;
	padding:25px;
	background-color:#ffa300;
	color:#222;
	margin-bottom:0;
	position:relative;
	top:-60px;
}

.cfu_home_title p {
	margin-bottom:0;
}

.cfu_form_payment_info p, .cfu_test_stripe_info p {
	font-size:14px;
}

.wp-block-post-excerpt p {
	font-size:14px;
}

a {
	text-decoration:none;
}

.cfu_button a {
	display:inline-block;
	text-align:center;
	padding:8px 40px;
	border-radius:9999px;
	background-color:#ffa300;
	color:#222;
	transition: 0.4s all;
}

.cfu_button a:hover {
	background-color:#222;
	color:#ffa300;
}

.und {
	border-bottom: 2px solid #ffa330;
}

.cfu_sec_divider hr {
	height:3px;
	background-color:#ffa300;
	margin:20px auto 20px 0;
	width:50%;
}

.cfu_download a {
	display:block;
	background-color:#fff;
	border-left:6px solid #222;
	padding:1em;
	font-size:14px;
}

.cfu_icon.medium img {
	width:80px;
	height:auto;
}

/* Navigation  */

.cfu_sidebar_grid_menu ul {
	list-style:none;
	margin:0;
}

.cfu_sidebar_grid_menu ul li {
	display:block;
	margin-bottom:15px;

}


.cfu_sidebar_grid_menu ul li a {
	display:block;
	text-decoration:none;
	text-transform:uppercase;
	font-weight:700;
	color:#222;
	padding:8px 40px;
	text-align:center;
	background-color:#ffa300;
	transition:0.4s all;
}

.cfu_sidebar_grid_menu ul li a:hover {
	background-color:#222;
	color:#ffa300;
}

.wp-block-column.cfu_standout_sidebar {
	padding:20px;
    border: 1px solid #ccc;
    background-color: #ffa300;
    box-shadow: 0 0 16px #999;
}

.wp-block-group.cfu_standout_group {
	border: 1px solid #ccc;
    background-color: #ffa300;
    box-shadow: 0 0 16px #999;
}

.main-navigation .grid-container {
	max-width:1500px;
}

.main-navigation .main-nav ul li a {
	padding-left:10px;
}

/* Slick Slider */

.cfu_slide_item {
	height:400px;
	min-height:70vh;
	background-position:center;
	background-size:cover;
}

.cfu_slide_content {
	width:80%;
	height:100%;
	display:flex;
	align-items:flex-end;
	max-width:1200px;
	margin-left:auto;
	margin-right:auto;
}

.cfu_away_match_item {
	background-color: #eee;
    padding: 8px 20px;
    margin-bottom: 20px;
	border-left:6px solid #222;
}

.cfu_away_match_item a {
	color:#222;
	font-size:14px;
}

/* Banner headers */

.cfu_inner_banner {
	height: 400px;
    min-height: 55vh;
    position: relative;
}

.cfu_inner_banner .gb-inside-container {
	height:100%;
	display:flex;
	align-items:flex-end;
}

.cfu_inner_banner .wp-block-group__inner-container {
	padding-bottom:0;
	margin-bottom:-15px;
}

.cfu_inner_banner .wp-block-group__inner-container .wp-block-group__inner-container {
	padding:0;
} 

/* Blurbs */

.cfu_blurbs.shiftup .wp-block-group {
	margin-top:-60px;
    position: relative;
    background-color: #fff;
}

.cfu_blurbs .wp-block-columns {
	gap:0;
}

.cfu_blurbs.shiftup .wp-block-group__inner-container {
	padding:20px;
}

.cfu_blurbs.shiftup .wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column:not(:first-child) {
	margin-left:1em;
}

.cfu_blurb_item {
	padding-bottom:62.5%;
	background-size:cover;
	background-position:center;
}

.cfu_blurb_item#about {
	background-image:url(/wp-content/uploads/2022/05/home_blurb_about_768.jpg);
}

.cfu_blurb_item#membership {
	background-image:url(/wp-content/uploads/2022/05/home_blurb_membership_768.jpg);
}

.cfu_blurb_item#matchday {
	background-image:url(/wp-content/uploads/2022/05/home_blurb_matchday_768.jpg);
}

.cfu_blurb_item#news_updates {
	background-image:url(/wp-content/uploads/2022/05/home_blurb_news_updates_768.jpg);
}

.cfu_blurb_detail {
    text-align: center;
    background-color: #ffa300;
    padding: 10px;
    border-top: 6px solid #111;
}

/* Match Reports format */

.cfu_match_block {
	text-align:center;
	margin-bottom:20px;
}

.cfu_match_block .teams {
	font-size:2em;
	font-weight:700;
	line-height:1.0em;
	margin-bottom:20px;
}

.cfu_match_block .teams span {
	font-size:16px;
	font-weight:400;

}

.cfu_match_block .match_date {
	margin:10px 0;
}

.cfu_match_score {
	font-size:4em;
	font-weight:700;
	line-height:1em;
}

.cfu_match_block .scorers {
	display:flex;
	gap:3em;
	justify-content:center;
}

.cfu_match_block .scorers p, .match_date {
	font-size:13px;
	margin-bottom:0;
}

.cfu_match_report_meta {
	box-shadow:0 0 16px #999;
}

.cfu_match_report_meta .wp-block-group__inner-container {
	padding:20px;
}

.cfu_match_report_meta .wp-block-columns {
	margin-bottom:0;
}

.cfu_boxed_standout {
	font-family: 'BEBAS NEUE', sans-serif;
    font-size: 34px;
    margin-bottom: 0;
    padding: 20px;
    background-color: #ffa300;
    display: inline-block;
    line-height: 1em;
    position: relative;
}

.cfu_match_report_meta .cfu_boxed_standout {
	position:absolute;
	margin-top: -44px;
    margin-left: -30px;
}

.cfu_match_report_meta .cfu_boxed_standout p {
	margin-bottom:0;	
}

li.category-match-reports {
	padding: 20px;
    border: 1px solid #e1e1e1;
    border-radius: 20px;
	box-shadow: 0 0 16px #ddd;
}

li.category-match-reports .wp-block-post-featured-image img {
	border-radius:10px;
}

/* News */

#cfu_news_grid .wp-block-post, #cfu_projects_grid .wp-block-post {
	padding:20px;
	border:1px solid #eee;
	box-shadow:0 0 16px #ccc;
}

.single-post article.category-news h1.entry-title, .single-post article.category-board-meeting-minutes h1.entry-title, .single-post article.category-agm-minutes-annual-accounts h1.entry-title {
    padding: 20px;
    background-color: #ffa330;
    box-shadow: 0 0 16px #aaa;
    margin-bottom: 30px;
}

/* Board Members */

.cfu_board_wrapper {
	display:flex;
	flex-wrap:wrap;
	gap:2em;
}

.cfu_board_wrapper .cfu_board_member_item {
	flex-basis:100%;
    padding: 20px;
    border: 1px solid #e1e1e1;
	gap:2em;
	flex-wrap:wrap;
}

.cfu_board_member_item h3 {
	margin-bottom:5px;
}

.cfu_board_member_item .cfu_board_member_role {
	font-weight:700;
}

.cfu_board_member_item .cfu_board_member_image img {
	max-width:100%;
	height:auto;
}

.cfu_board_member_item {
	display:flex;
}

.cfu_board_member_item .cfu_board_member_image {
	flex-basis:15%;
}

.cfu_board_member_item .cfu_board_member_text {
	flex-basis:calc( 85% - 2em );
}

#past_board_members p:not(.past_board_members_intro) {
	margin-bottom:5px;
}

/* Woocommerce */

.woocommerce .woocommerce-breadcrumb {
	font-size:12px;
	padding:20px;
}

.single-product div.product {
	padding:30px;
}

.single-product div.product::after {
	content:'';
	clear:both;
	display:table;
} 

#content div.product.product_cat-away-travel div.images, .woocommerce-page div.product div.images {
	width:30%;
}

#content div.product.product_cat-away-travel div.summary, .woocommerce-page div.product div.summary {
	width:60%;
}

#content div.product.product_cat-shop div.images {
	width:25%;
}

#content div.product.product_cat-shop div.summary {
	width:70%;
}

.woocommerce-cart article {
	padding:20px;
	background-color:#fff;
}

.contained-content.separate-containers.woocommerce-checkout .inside-article {
	padding:20px;
}

/* Gravity Forms */
#gform_wrapper_1, #gform_wrapper_2 {
	padding: 20px;
    border: 1px solid #e1e1e1;
    box-shadow: 0 0 16px #ccc;
}

.ginput_container_consent, .cfu_form_further_contact {
	font-size:14px;
}

/* 404 */


/* Footer */

.footer-widgets-container {
	padding:20px;
}

.cfu_footer_widget, .cfu_footer_widget p, .cfu_footer_widget a {
	font-size:13px;
}
/* General Content */

.cfu_home_intro .gb-inside-container {
	display:flex;
	flex-direction:column;
}

.cfu_home_intro .wp-block-group:not(:last-of-type) {
	margin-bottom:60px;
}

.cfu_home_title {
	padding:30px;
	background-color:#ffa300;
	color:#000;
	width:70%;
	margin: 0 auto 30px auto;
	text-align:center;
	position:relative;
}

.extra_container_padding .gb-inside-container {
	padding:40px 0;
}

.cfu_post_file_downloads {
	padding: 20px;
    background-color: #e1e1e1;
    margin: 20px 0;
}

.cfu_post_file_downloads a:before {
	content:'';
	display:inline-block;
	margin-right:5px;
	background-image:url(/assets/download.svg);
	width:26px;
	height:22px;
	background-size:cover;
}

.cfu_minutes_grid .wp-block-column {
	padding:20px;
	background-color:#f1f1f1;
	border:1px solid #e1e1e1;
}

/* Responsive Desktop - Everything ABOVE 1024 */
@media only screen
	and (min-width: 1024px) {
		
	
		
}

/* Responsive - Everything BELOW 1024 */
@media only screen
	and (max-width: 1023px) {
		
		.cfu_inner_banner .wp-block-group__inner-container {
			padding-bottom:0!important;
		}
		
		#generate-slideout-menu.main-navigation .inside-navigation div {
			order:4;
		}
		
		.cfu_home_intro .wp-block-columns {
			flex-wrap:wrap!important;
		}
		
}

/* Responsive Tablet - Between 768 and 1023 */
@media only screen
	and (min-width: 768px)
	and (max-width: 1023px) {
		
		.cfu_slide_item {
			min-height:40vh;
		}
		
		.cfu_slide_detail p {
			font-size:2em;
		}
		
		.site-logo.mobile-header-logo img {
			height:80px!important;
		}
		
		.menu-toggle {
			font-size:24px;
		}
		
		.wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column {
			flex-basis:49%!important;
			margin-right:2%;
			margin-bottom:2%;
		}
		
		.wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column:nth-of-type(2n) {
			margin-right:0;
		}
		
		.cfu_blurbs.shiftup .wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column:not(:first-child) {
			margin-left:0;
		}
		
		#content div.product.product_cat-away-travel div.images, .woocommerce-page div.product div.images {
			width:30%!important;
		}


		#content div.product.product_cat-shop div.images {
			width:30%!important;
		}
}


/* Responsive Mobile - Everything BELOW 768 */
@media only screen
	and (max-width: 767px) {
		
		h1#cfu_home_title {
			font-size:3em;
			line-height:0.9em;
		}
		
		.site-header .header-image {
			max-width:250px;
		}
		
		.cfu_inner_banner h1 {
			font-size:4em;
		}
		
		.wp-block-group .wp-block-group__inner-container, .cfu_blurbs.shiftup .wp-block-group__inner-container {
			padding:40px;
		}
		
		.cfu_slide_item {
			height:300px;
			min-height:35vh;
		}
		
		.cfu_slide_item p {
			display:none;
		}		

		.cfu_home_intro .gb-inside-container .wp-block-group:first-of-type {
			order:2;
		}
		
		.cfu_blurbs.shiftup .wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column:not(:first-child) {
			margin-left:0;
		}	
		
		.cfu_blurbs.shiftup .wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column {
			margin-bottom:20px;
		}
		
		#content div.product.product_cat-away-travel div.summary, .woocommerce-page div.product div.summary {
			width:100%;
		}
		
		.cfu_home_intro .wp-block-group:not(:last-of-type) {
			margin-bottom:0;
		}
		
		.cfu_board_member_item .cfu_board_member_image {
			flex-basis:100%;
		}

		.cfu_board_member_item .cfu_board_member_text {
			flex-basis:100%;
		}
		
}
